Boundaries - Get Overlap

두 경계 ID 사이의 겹치는 영역을 반환합니다.

GET /parties/{partyId}/boundaries/{boundaryId}/overlap?otherPartyId={otherPartyId}&otherBoundaryId={otherBoundaryId}&api-version=2023-06-01-preview

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
boundaryId
path True

string

경계의 ID입니다.

partyId
path True

string

파티의 ID입니다.

api-version
query True

string

요청된 API 버전

otherBoundaryId
query True

string

다른 경계의 ID입니다.

otherPartyId
query True

string

다른 필드의 PartyId입니다.

요청 헤더

Name 필수 형식 Description
Authorization True

string

권한 있는 API 호출에 유효한 전달자 토큰을 제공하세요. 이전에 인증되지 않은 호출을 시도한 경우 브라우저 캐시를 지워야 할 수 있습니다.

응답

Name 형식 Description
200 OK

BoundaryOverlapResponse

성공

Other Status Codes

ErrorResponse

오류

헤더

x-ms-error-code: string

보안

Authorization

권한 있는 API 호출에 유효한 전달자 토큰을 제공하세요. 이전에 인증되지 않은 호출을 시도한 경우 브라우저 캐시를 지워야 할 수 있습니다.

형식: apiKey
In(다음 안에): header

예제

Boundaries_GetOverlap

샘플 요청

GET /parties/PARTY123/boundaries/BOUNDARY123/overlap?otherPartyId=PARTY456&otherBoundaryId=BOUNDARY56&api-version=2023-06-01-preview

샘플 응답

{
  "boundaryArea": 35,
  "otherBoundaryArea": 25,
  "intersectingArea": 10
}

정의

Name Description
BoundaryOverlapResponse

경계 겹침 응답의 스키마입니다.

Error

Azure AgPlatform 서비스의 오류입니다.

ErrorResponse

Azure AgPlatform 서비스의 오류 응답입니다. ErrorResponse 참조 문서는 https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses 참조하세요.

InnerError

오류 목록을 포함하는 내부 오류입니다. InnerError 참조 문서에 대한 https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object 참조하세요.

BoundaryOverlapResponse

경계 겹침 응답의 스키마입니다.

Name 형식 Description
boundaryArea

number (double)

주 경계의 면적입니다.

intersectingArea

number (double)

교차 경계의 면적입니다.

otherBoundaryArea

number (double)

다른 경계의 면적입니다.

Error

Azure AgPlatform 서비스의 오류입니다.

Name 형식 Description
code

string

minLength: 1

서버에서 정의한 오류 코드 집합입니다.

details

Error[]

이 보고된 오류로 이어진 특정 오류에 대한 세부 정보 배열입니다.

innererror

InnerError

오류 목록을 포함하는 내부 오류입니다. InnerError 참조 문서에 대한 https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object 참조하세요.

message

string

minLength: 1

사람이 읽을 수 있는 오류 표현입니다.

target

string

오류의 대상입니다.

ErrorResponse

Azure AgPlatform 서비스의 오류 응답입니다. ErrorResponse 참조 문서는 https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses 참조하세요.

Name 형식 Description
error

Error

Azure AgPlatform 서비스의 오류입니다.

traceId

string

고유 추적 ID입니다.

InnerError

오류 목록을 포함하는 내부 오류입니다. InnerError 참조 문서에 대한 https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object 참조하세요.

Name 형식 Description
code

string

포함된 오류에서 제공한 것보다 구체적인 오류 코드입니다.

innererror

InnerError

오류 목록을 포함하는 내부 오류입니다. InnerError 참조 문서에 대한 https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object 참조하세요.